%bcond_without  gtk3

Name:           SLADE
Version:        3.2.6
Release:        1%{?dist}
Summary:        It's a Doom editor

License:        GPL-2.0-only
URL:            https://slade.mancubus.net/
Source0:        https://github.com/sirjuddington/SLADE/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc gcc-c++
BuildRequires:  cmake
BuildRequires:  ftgl-devel
BuildRequires:  freeimage-devel
BuildRequires:  SFML-devel
BuildRequires:  mpg123-devel
BuildRequires:  fmt-devel
%if %{with gtk3}
BuildRequires:  pkgconfig(gtk+-3.0)
%else
BuildRequires:  pkgconfig(gtk+-2.0)
%endif
BuildRequires:  wxBase-devel
BuildRequires:  wxGTK-devel
BuildRequires:  p7zip-plugins
# Optional
BuildRequires:  lua-devel
BuildRequires:  fluidsynth-devel
BuildRequires:  desktop-file-utils

# thirdparty/CMakeLists.txt explicitly requests dumb>=1.0 TODO check if required
Provides:       bundled(dumb) = 0.9.3
Provides:       bundled(fmt) = 8.1.1
Provides:       bundled(glad) = 0.1.35
Provides:       bundled(lunasvg) = 2.3.1
Provides:       bundled(lzma) = 9.20
Provides:       bundled(mus2mid)
Provides:       bundled(sigslot)
Provides:       bundled(sol) = 3.2.1
Provides:       bundled(zreaders)

%description
SLADE3 is a modern editor for Doom-engine based games and source ports.
It has the ability to view, modify, and write many different game-specific formats,
and even convert between some of them, or from/to other generic formats such as PNG.

%prep
%autosetup

%build
%cmake \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DUSE_SYSTEM_FMT:BOOL=ON \
    -DUSE_SYSTEM_DUMB:BOOL=OFF \
%if %{with gtk3}
    -DWX_GTK3:BOOL=ON \
%else
    -DWX_GTK3:BOOL=OFF \
%endif
    -DNO_WEBVIEW:BOOL=OFF \
    -DUSE_SFML_RENDERWINDOW:BOOL=OFF \
    -DNO_COTIRE:BOOL=OFF \
    -DNO_LUA:BOOL=OFF \
    -DNO_FLUIDSYNTH=OFF \
    -DBUILD_PK3=ON \
    -DCL_WX_CONFIG="wx-config-3.2"

%cmake_build

%install
%cmake_install
desktop-file-validate %{buildroot}%{_datadir}/applications/net.mancubus.SLADE.desktop

%files
%license LICENSE
%{_bindir}/slade
%dir %{_datadir}/slade3
%{_datadir}/slade3/slade.pk3
%{_datadir}/icons/hicolor/scalable/apps/net.mancubus.SLADE.svg
%{_datadir}/metainfo/net.mancubus.SLADE.metainfo.xml
%{_datadir}/applications/net.mancubus.SLADE.desktop

%changelog
* Sun Jul 14 2024 Jan200101 <sentrycraft123@gmail.com> - 3.2.6-1
- Update to 3.2.6

* Wed Dec 20 2023 Jan Drögehoff <sentrycraft123@gmail.com> - 3.2.5-1
- Update to 3.2.5
- enable LUA support
- force enable fluidsynth
- force build pk3
- force wxWidgets 3.2 (3.0 no longer works)

* Tue Nov 07 2023 Jan Drögehoff <sentrycraft123@gmail.com> - 3.2.4-2
- Fedora 39 rebuild

* Wed Jun 28 2023 Jan Drögehoff <sentrycraft123@gmail.com> - 3.2.4-1
- Update to 3.2.4

* Wed Jun 28 2023 Jan Drögehoff <sentrycraft123@gmail.com> - 3.2.3-1
- Update to 3.2.3

* Tue May 23 2023 Jan Drögehoff <sentrycraft123@gmail.com> - 3.2.2-1
- Initial spec


